@echo off
if "%1" == "" goto error

if EXIST %1.exe (
	del %1.exe
)
sjasm.exe -L %1.asm %1.exe %1.lst
if errorlevel 1 goto ERR
echo Ok!
goto END

:ERR
del %1.exe
pause
echo ошибки компиляции...
goto END

:error
echo usage: make sourcefile
:END